#!/usr/bin/env racket
#lang racket/base

(require racket/format)

(provide all-packages package-options)

(define m64pncp 'mupen64plus-noncore-plugins-git)
(define mc-serv 'minecraft-server-fabric)
(define ext-git "https://git.greyserv.net/marrub")

(define all-packages
  (list
    'cef-standard
    'cereal
    'libsodium-git
    'vim-runtime-git

    'chocolate-doom
    'desmume-git
    'dolphin-emu-git
    'eternity-engine-git
    'fceux-git
    'gdcc-git
    'godot
    'gopherus
    'gvim-git
    'gzdoom-legacy
    'higan
    'maxcso
    'mednaffe
    'megatools
    'mgba-git
    'minecraft-launcher
    'motsognir
    'mupen64plus-git
    'mupen64plus-gui-git
    'nicotine-plus-git
    'obs-linuxbrowser-bin
    'obs-studio-git
    'pcsx2-git
    'plasma5-applets-mpdnowplaying
    'powershell-bin
    'ppsspp-git
    'prboom-plus
    'ripcord
    'rpcs3-git
    'sharenix-git
    'slade
    'squirrel-sql
    'teamviewer
    'ttf-twemoji-color
    'xf86-input-xwiimote-git
    'xwiimote-git
    'zdoom
    m64pncp
    mc-serv))

(define package-options
  (hash
    'cef-standard    (hash 'asdeps #t)
    'cereal          (hash 'asdeps #t)
    'libsodium-git   (hash 'asdeps #t)
    'vim-runtime-git (hash 'asdeps #t)

    m64pncp     (hash 'force #t 'url (~a ext-git "/" m64pncp ".git"))
    'gdcc-git   (hash 'url (~a ext-git "/gdcc-git.git"))
    'higan      (hash 'handle 'higan 'url "https://gitlab.com/higan/higan.git/")
    'motsognir  (hash 'url (~a ext-git "/motsognir.git"))
    'ppsspp-git (hash 'url (~a ext-git "/ppsspp-git.git"))
    'teamviewer (hash 'url (~a ext-git "/teamviewer.git") 'branch "nmfix")
    mc-serv     (hash 'url (~a ext-git "/" mc-serv ".git"))))

;; EOF
